/* AMCL - A simple Mud CLient
 * Copyright (C) 1998-1999 Robin Ericsson <lobbin@localhost.nu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"

#include <gtk/gtk.h>
#include "amcl.h"

#include <unistd.h>
#include <sys/types.h>
#include <pwd.h>

static char const rcsid[] =
    "$Id: misc.c,v 1.1 1999/09/24 18:22:30 lobbin Exp $";

struct passwd *uid_info;

void init_uid ()
{
  uid_info = getpwuid(getuid());

  if (uid_info == NULL)
    g_error ("Could not fetch information about your homedir.\n");
}
